groovy.beans

## Class DefaultPropertyWriter

- java.lang.Object
- - groovy.beans.DefaultPropertyWriter

All Implemented Interfaces:
  PropertyWriter

    public class DefaultPropertyWriter
    extends java.lang.Object
    implements PropertyWriter

Author:
  Andres Almiray

### Field Summary

Fields
`static PropertyWriter` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultPropertyWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(java.lang.Object owner, java.lang.String propertyName, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final PropertyWriter INSTANCE

### Constructor Detail

#### DefaultPropertyWriter

    public DefaultPropertyWriter()

### Method Detail

#### write

    public void write(java.lang.Object owner,
                      java.lang.String propertyName,
                      java.lang.Object value)

Specified by:
  `write` in interface `PropertyWriter`